{
  "name": "@openstapps/openstapps",
  "private": true,
  "engines": {
    "node": ">=18.16",
    "pnpm": ">=8"
  },
  "scripts": {
    "build": "dotenv -c -- turbo run build",
    "build:full": "dotenv -c -- turbo run syncpack build lint format --summarize",
    "build:full:skip": "dotenv -c -- turbo-ignore --task='build lint format'",
    "changeset:status": "changeset status",
    "deploy": "dotenv -c -- turbo run deploy --concurrency=1",
    "dev": "dotenv -c -- turbo run dev",
    "docs": "dotenv -c -- turbo run docs && typedoc && mkdir docs/api && cp packages/core/lib/api-doc.html docs/api/index.html && cp packages/core/lib/openapi.json docs/api/openapi.json && cp -r packages/core/lib/schema docs/api/schema",
    "format": "dotenv -c -- turbo run format",
    "format:fix": "dotenv -c -- turbo run format:fix",
    "lint": "dotenv -c -- turbo run lint",
    "lint:fix": "dotenv -c -- turbo run lint:fix",
    "publish-packages": "pnpm changeset version && pnpm syncpack:fix && pnpm install && git add . && git commit -m \"refactor: update changelog\n\nci: publish release\" && git push && pnpm changeset tag && git push --follow-tags",
    "syncpack": "syncpack list-mismatches && syncpack lint-semver-ranges --types dev,peer,prod",
    "syncpack:fix": "syncpack format && syncpack fix-mismatches",
    "test": "trap 'node coverage.mjs' EXIT && dotenv -c -- turbo run test",
    "test:integration": "dotenv -c -- turbo run test:integration",
    "test:integration:app": "dotenv -c -- turbo run test:integration --filter=@openstapps/app",
    "test:integration:backend": "dotenv -c -- turbo run test:integration --filter=@openstapps/backend",
    "test:skip": "dotenv -c -- turbo-ignore --task='test' --filter=!@openstapps/app",
    "turboify-pipeline": "node deploy.mjs backend,api-cli,database && pnpm build:full && pnpm test && pnpm run docs"
  },
  "devDependencies": {
    "@changesets/changelog-git": "0.1.14",
    "@changesets/cli": "2.26.1",
    "cobertura-merge": "1.0.4",
    "deepmerge": "4.3.1",
    "dotenv-cli": "7.2.1",
    "glob": "10.2.7",
    "junit-report-merger": "6.0.2",
    "syncpack": "10.5.1",
    "turbo": "1.10.3",
    "turbo-ignore": "1.10.6",
    "typedoc": "0.24.8",
    "typescript": "4.9.5"
  }
}
